<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title></title>
    <meta name="viewport" content="width=device-width" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <style>
        !vpn_styles.css!
    </style>
</head>
<body>
    <table class="wrapper">
        <tr>
            <td colspan="3">
	            <div class="main">
		            <img src="#vpn.png#" class="vpn_logo" id="vpnLogo" />
		            <p class="product-name" id="vpnProductName">$ProductName$</p>
                    <div class="content">
		            <h1 id="vpnSubscriptionExpiredHeader">$VpnSubscriptionExpiredHeader$</h1>
                    <p class="margin-top-g2 single-link" id="vpnTargetUrl">%TargetUrl%</p>
		            <p class="description" id="vpnSubscriptionExpiredDescription">$VpnSubscriptionExpiredDescription$</p>
		            <div class="buttons margin-top-g6">
			            <form class="button-wrapper button-wrapper_recommended" onclick="onBuyVpnTraffic(); return false;">
				            <button class="button_recommended" id="vpnButtonBuyVpnTraffic"><span class="button__text">$BuyVpnTraffic$</span></button>
			            </form>
			            <form class="button-wrapper" onclick="onContinue(); return false;">
				            <button class="button" id="vpnButtonContinue"><span class="button__text">$Continue$</span></button>
			            </form>
		            </div>
					<div class="margin-top-g6">
                            <a href="%VpnSettingsUrl%" id="vpnButtonSettings" style="white-space: nowrap;" class="button_borderless" onclick="showSettings(); return false;">$VpnSettings$</a>
		                     <a href="#" id="refresh" style="white-space: nowrap;" class="button_borderless" onclick="doRefresh(); return false;">$Refresh$</a>
                        </div>
                    </div>
                </div>
            </td>
        </tr>
	    <tr height="70">
		    <td width="33%">
			    <img src="#kl_logo.png#" class="kl_logo" id="vpnKlLogo" />
		    </td>
            <td width="33%" class="center"> </td>
            <td width="33%">
            </td>
		    
	    </tr>
    </table>
<script>
    ?navigate_to_cup_stub.js?

    function doRefresh() {
        var meaningfulFrame = getNearestMeaningfulFrame();
        meaningfulFrame.location.replace(meaningfulFrame.location.href.split("?")[0]);
    }

    function onBuyVpnTraffic() {
        navigateFromStub("%BuyVpnTrafficUrl%");
    }

    function onContinue() {
        navigateFromStub("%IgnoreAndContinue%");
    }

    document.onkeydown = function (e) {
        e.preventDefault();
        if (e.keyCode == 116) {
            doRefresh();
        }
    }

    function callAsyncCup(url) {
        var xhr = new XMLHttpRequest();
        xhr.open("GET", url);
        xhr.send();
    }

    function showSettings() {
        callAsyncCup("%VpnSettingsUrl%");
    }
</script>
</body>
</html>
